# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  audio-test.exe gui-test.exe hashtable-test.exe prng-test.exe sparsearray-test.exe statistics.o timer-test.exe varray-test.exe zulu-test.exe

include Makefile-include.txt

.PHONY: test
test: audio-test.exe gui-test.exe hashtable-test.exe prng-test.exe sparsearray-test.exe timer-test.exe varray-test.exe zulu-test.exe
	./audio-test.exe
	./gui-test.exe
	./hashtable-test.exe
	./prng-test.exe
	./sparsearray-test.exe
	./timer-test.exe
	./varray-test.exe
	./zulu-test.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump audio-test gui-test hashtable-test prng-test sparsearray-test timer-test varray-test zulu-test

audio-test.o: audio-test.c ../../src/util/audio.h ../../src/util/error.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c audio-test.c -o audio-test.o

audio-test.exe: ../../src/util/audio.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/wav.o audio-test.o
	$(CC) $(CFLAGS) -o audio-test.exe  ../../src/util/audio.o ../../src/util/error.o ../../src/util/memory.o ../../src/util/wav.o audio-test.o $(LIBS) 

gui-test.o: gui-test.c ../../src/util/error.h ../../src/util/gui.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c gui-test.c -o gui-test.o

gui-test.exe: ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o gui-test.o
	$(CC) $(CFLAGS) -o gui-test.exe  ../../src/util/error.o ../../src/util/gui.o ../../src/util/memory.o gui-test.o $(LIBS) -lm 

hashtable-test.o: hashtable-test.c ../../src/util/hashtable.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c hashtable-test.c -o hashtable-test.o

hashtable-test.exe: ../../src/util/error.o ../../src/util/hashtable.o ../../src/util/memory.o hashtable-test.o
	$(CC) $(CFLAGS) -o hashtable-test.exe  ../../src/util/error.o ../../src/util/hashtable.o ../../src/util/memory.o hashtable-test.o $(LIBS) 

prng-test.o: prng-test.c ../../src/util/memory.h ../../src/util/prng.h statistics.h
	$(CC) $(CFLAGS) -c prng-test.c -o prng-test.o

prng-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/prng.o prng-test.o statistics.o
	$(CC) $(CFLAGS) -o prng-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/prng.o prng-test.o statistics.o $(LIBS) -lm 

sparsearray-test.o: sparsearray-test.c ../../src/util/memory.h ../../src/util/sparsearray.h
	$(CC) $(CFLAGS) -c sparsearray-test.c -o sparsearray-test.o

sparsearray-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/sparsearray.o sparsearray-test.o
	$(CC) $(CFLAGS) -o sparsearray-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/sparsearray.o sparsearray-test.o $(LIBS) 

statistics.o: statistics.c statistics.h ../../src/util/error.h ../../src/util/memory.h
	$(CC) $(CFLAGS) -c statistics.c -o statistics.o

timer-test.o: timer-test.c ../../src/util/error.h ../../src/util/memory.h ../../src/util/timer.h
	$(CC) $(CFLAGS) -c timer-test.c -o timer-test.o

timer-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/timer.o timer-test.o
	$(CC) $(CFLAGS) -o timer-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/timer.o timer-test.o $(LIBS) 

varray-test.o: varray-test.c ../../src/util/memory.h ../../src/util/varray.h
	$(CC) $(CFLAGS) -c varray-test.c -o varray-test.o

varray-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/varray.o varray-test.o
	$(CC) $(CFLAGS) -o varray-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/varray.o varray-test.o $(LIBS) 

zulu-test.o: zulu-test.c ../../src/util/zulu.h
	$(CC) $(CFLAGS) -c zulu-test.c -o zulu-test.o

zulu-test.exe: ../../src/util/error.o ../../src/util/memory.o ../../src/util/zulu.o zulu-test.o
	$(CC) $(CFLAGS) -o zulu-test.exe  ../../src/util/error.o ../../src/util/memory.o ../../src/util/zulu.o zulu-test.o $(LIBS) 

# Checksum of the original file: 943495741
